| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__IPPhoneAttribute Struct Reference
Subscriber

subscriber Endpoint Attributes More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__boolean * | TrustedSub
| Indicates whether the subscriber is a trusted host. More...
xsd__boolean * | MediaReDirectionAllowed
| Indicates whether Media Redirection is supported. More...
xsd__boolean * | AoRPerContact
| Allows the support of single and multiple registration subscribers on the same switch. More...
xsd__boolean * | OverrideIRMCodecRestrictions
| Force selection of Codecs by overriding IRM restrictions. More...
xsd__boolean * | TransferHandoff
| If this attribute is set, calls can be transferred to the Genesys. More...
xsd__boolean * | SendInsecureRefferedByHeader
| When a Referred-By header field is included in the initial request sent to the transfer target (for a blind transfer), the Referred-By header (including any generic parameters) will be passed transparently from the transferor to the transfer target. More...
xsd__boolean * | VideoCallAllowed
| Indicates whether Video Calls are allowed. More...
xsd__boolean * | SendPubNrInFQNInFromHeader
| Send Public Identity in From Header. More...
xsd__boolean * | SendUriInTelephoneSubscriberFormat
xsd__boolean * | SendInternationalNumberInGNF
| Indicates whether the TEL URI is sent in telephone subscriber (global number or local number) format (including phone context for local numbers). More...
xsd__boolean * | DoNotPublishRegistrationToE911DM
| Indicates whether registration/unregistration of the subscriber are forwarded to E911 Data Manager. More...
xsd__boolean * | DisableLongCallAudit
| When enabled, the long call duration timer is disabled. More...
xsd__boolean * | RegistViaCentralSBC
| Indicates whether the subscriber is registered via Central SBC. More...
xsd__boolean * | DoNotSendAlphanumericSIPURI
| Prevents Openscape Voice from sending alphanumeric SIP URIs to the subscriber. More...
xsd__boolean * | SendAlphanumericSIPURIWhenAvailable
| This attribute indicates that the subscriber prefers receiving alphanumeric SIP URIs. More...
xsd__boolean * | Reserved5
xsd__boolean * | Reserved6
| Reserved attribute 6 for future use. More...
xsd__boolean * | AllowSubProvidedCallingID
| Indicates whether a subscriber is allowed to provide an identity (number and name) to present to the called party. More...
xsd__boolean * | Reserved7
xsd__boolean * | DoNotAllowURNsForNG911
| This attribute indicates whether URNs are not allowed in R-URI/TO header for NG911 calls. More...
xsd__boolean * | DisableSRTP
| This attribute indicates whether SRTP is disabled. More...
xsd__boolean * | Reserved8
| Reserved attribute 8 for future use. More...
xsd__boolean * | Reserved9
xsd__boolean * | Reserved10
xsd__boolean * | Reserved11
| Reserved attribute 11 for future use. More...
xsd__boolean * | DoNotAllowNG911Headers
| Indicates whether NG911 Headers are allowed. More...
xsd__boolean * | ACDCallDistributionDevice
| To indicate if a subscriber is a ACD Call Distribution Device. More...
xsd__boolean * | SipRecordAllCalls
| To indicate if a subscriber Sip Record All Calls feature. More...
xsd__boolean * | DoNotAllowGeolocationHeaders
| Indicates whether Geolocation NG911 Headers are allowed. More...
xsd__boolean * | IgnoreLocationByValue
| Indicates whether Ignore Location By Value is allowed. More...
xsd__boolean * | HideIsFocus
| Indicates whether IsFocus option is hidden. More...
xsd__boolean * | SimultaneousCallsNotAllowedFromMultipleContacts
| Does not allow simultaneous calls from multiple contacts required: false default value[range]: false. More...
xsd__boolean * | ContactCenterIVRDevice
| Indicates wether a subscriber is Contact Center IVR Device required: false default value[range]: false. More...
xsd__boolean * | ZoomUser
| Indicates wether a subscriber is Zoom User required: false default value[range]: false. More...

## Detailed Description

subscriber Endpoint Attributes

## Member Data Documentation

## ◆ ACDCallDistributionDevice

xsd__boolean* unsp__IPPhoneAttribute::ACDCallDistributionDevice

To indicate if a subscriber is a ACD Call Distribution Device.

required: false
default value[range]: false

## ◆ AllowSubProvidedCallingID

xsd__boolean* unsp__IPPhoneAttribute::AllowSubProvidedCallingID

Indicates whether a subscriber is allowed to provide an identity (number and name) to present to the called party.

required: false
default value[range]: false

## ◆ AoRPerContact

xsd__boolean* unsp__IPPhoneAttribute::AoRPerContact

Allows the support of single and multiple registration subscribers on the same switch.

- If set to False, the switch will only allow one AoR per endpoint, either statically or dynamically registered.
- If set to True, the switch will accept one AoR per DN and per each of the two aliases, store them in the contact and use them for terminating calls.

required: false
default value[range]: false

## ◆ ContactCenterIVRDevice

xsd__boolean* unsp__IPPhoneAttribute::ContactCenterIVRDevice

Indicates wether a subscriber is Contact Center IVR Device
required: false
default value[range]: false.

## ◆ DisableLongCallAudit

xsd__boolean* unsp__IPPhoneAttribute::DisableLongCallAudit

When enabled, the long call duration timer is disabled.

required: false
default value[range]: false

## ◆ DisableSRTP

xsd__boolean* unsp__IPPhoneAttribute::DisableSRTP

This attribute indicates whether SRTP is disabled.

required: false
default value[range]: false

## ◆ DoNotAllowGeolocationHeaders

xsd__boolean* unsp__IPPhoneAttribute::DoNotAllowGeolocationHeaders

Indicates whether Geolocation NG911 Headers are allowed.

required: false
default value[range]: false

## ◆ DoNotAllowNG911Headers

xsd__boolean* unsp__IPPhoneAttribute::DoNotAllowNG911Headers

Indicates whether NG911 Headers are allowed.

required: false
default value[range]: false

## ◆ DoNotAllowURNsForNG911

xsd__boolean* unsp__IPPhoneAttribute::DoNotAllowURNsForNG911

This attribute indicates whether URNs are not allowed in R-URI/TO header for NG911 calls.

required: false
default value[range]: false

## ◆ DoNotPublishRegistrationToE911DM

xsd__boolean* unsp__IPPhoneAttribute::DoNotPublishRegistrationToE911DM

Indicates whether registration/unregistration of the subscriber are forwarded to E911 Data Manager.

required: false
default value[range]: false

## ◆ DoNotSendAlphanumericSIPURI

xsd__boolean* unsp__IPPhoneAttribute::DoNotSendAlphanumericSIPURI

Prevents Openscape Voice from sending alphanumeric SIP URIs to the subscriber.

required: false
default value[range]: false

## ◆ HideIsFocus

xsd__boolean* unsp__IPPhoneAttribute::HideIsFocus

Indicates whether IsFocus option is hidden.

required: false
default value[range]: false

## ◆ IgnoreLocationByValue

xsd__boolean* unsp__IPPhoneAttribute::IgnoreLocationByValue

Indicates whether Ignore Location By Value is allowed.

required: false
default value[range]: false

## ◆ MediaReDirectionAllowed

xsd__boolean* unsp__IPPhoneAttribute::MediaReDirectionAllowed

Indicates whether Media Redirection is supported.

required: false
default value[range]: false

## ◆ OverrideIRMCodecRestrictions

xsd__boolean* unsp__IPPhoneAttribute::OverrideIRMCodecRestrictions

Force selection of Codecs by overriding IRM restrictions.

required: false
default value[range]: false

## ◆ RegistViaCentralSBC

xsd__boolean* unsp__IPPhoneAttribute::RegistViaCentralSBC

Indicates whether the subscriber is registered via Central SBC.

required: false
default value[range]: false

## ◆ Reserved10

xsd__boolean* unsp__IPPhoneAttribute::Reserved10

Deprecated:
  NA.

## ◆ Reserved11

xsd__boolean* unsp__IPPhoneAttribute::Reserved11

Reserved attribute 11 for future use.

required: false
default value[range]: false

## ◆ Reserved5

xsd__boolean* unsp__IPPhoneAttribute::Reserved5

Deprecated:
  NA

## ◆ Reserved6

xsd__boolean* unsp__IPPhoneAttribute::Reserved6

Reserved attribute 6 for future use.

required: false
default value[range]: false

## ◆ Reserved7

xsd__boolean* unsp__IPPhoneAttribute::Reserved7

Deprecated:
  NA

## ◆ Reserved8

xsd__boolean* unsp__IPPhoneAttribute::Reserved8

Reserved attribute 8 for future use.

required: false
default value[range]: false

## ◆ Reserved9

xsd__boolean* unsp__IPPhoneAttribute::Reserved9

Deprecated:
  NA

## ◆ SendAlphanumericSIPURIWhenAvailable

xsd__boolean* unsp__IPPhoneAttribute::SendAlphanumericSIPURIWhenAvailable

This attribute indicates that the subscriber prefers receiving alphanumeric SIP URIs.

required: false
default value[range]: false

## ◆ SendInsecureRefferedByHeader

xsd__boolean* unsp__IPPhoneAttribute::SendInsecureRefferedByHeader

When a Referred-By header field is included in the initial request sent to the transfer target (for a blind transfer), the Referred-By header (including any generic parameters) will be passed transparently from the transferor to the transfer target.

required: false
default value[range]: false

## ◆ SendInternationalNumberInGNF

xsd__boolean* unsp__IPPhoneAttribute::SendInternationalNumberInGNF

Indicates whether the TEL URI is sent in telephone subscriber (global number or local number) format (including phone context for local numbers).

required: false
default value[range]: false

## ◆ SendPubNrInFQNInFromHeader

xsd__boolean* unsp__IPPhoneAttribute::SendPubNrInFQNInFromHeader

Send Public Identity in From Header.

required: false
default value[range]: false

## ◆ SendUriInTelephoneSubscriberFormat

xsd__boolean* unsp__IPPhoneAttribute::SendUriInTelephoneSubscriberFormat

Deprecated:
  NA

## ◆ SimultaneousCallsNotAllowedFromMultipleContacts

xsd__boolean* unsp__IPPhoneAttribute::SimultaneousCallsNotAllowedFromMultipleContacts

Does not allow simultaneous calls from multiple contacts
required: false
default value[range]: false.

## ◆ SipRecordAllCalls

xsd__boolean* unsp__IPPhoneAttribute::SipRecordAllCalls

To indicate if a subscriber Sip Record All Calls feature.

required: false
default value[range]: false

## ◆ TransferHandoff

xsd__boolean* unsp__IPPhoneAttribute::TransferHandoff

If this attribute is set, calls can be transferred to the Genesys.

required: false
default value[range]: false

## ◆ TrustedSub

xsd__boolean* unsp__IPPhoneAttribute::TrustedSub

Indicates whether the subscriber is a trusted host.

required: false
default value[range]: false

## ◆ VideoCallAllowed

xsd__boolean* unsp__IPPhoneAttribute::VideoCallAllowed

Indicates whether Video Calls are allowed.

required: false
default value[range]: false

## ◆ ZoomUser

xsd__boolean* unsp__IPPhoneAttribute::ZoomUser

Indicates wether a subscriber is Zoom User
required: false
default value[range]: false.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h